---
title: Getting Started
description: Download, install, and try out Istio.
weight: 5
aliases:
    - /zh/docs/setup/kubernetes/getting-started/
skip_toc: true
keywords: [getting-started, install, bookinfo, quick-start, kubernetes]
---

This guide lets you try out Istio quickly and it's the ideal starting
point if you are new to the project. To get started, download and install
Istio's built-in **demo** configuration:

- [Follow the quick-start installation instructions](/docs/setup/getting-started)

With Istio installed, you can [deploy the Bookinfo sample](/docs/examples/bookinfo/#deploying-the-application)
and evaluate Istio's features for traffic routing, fault injection, rate
limiting, etc. Explore the various [Istio tasks](/docs/tasks/), and try out the
tasks that interest you. If you are not sure where to begin, the following
tasks are a good place to start:

- [Request routing](/docs/tasks/traffic-management/request-routing/)
- [Fault injection](/docs/tasks/traffic-management/fault-injection/)
- [Traffic shifting](/docs/tasks/traffic-management/traffic-shifting/)
- [Querying metrics](/docs/tasks/observability/metrics/querying-metrics/)
- [Visualizing metrics](/docs/tasks/observability/metrics/using-istio-dashboard/)
- [Collecting logs](/docs/tasks/observability/logs/collecting-logs/)
- [Rate limiting](/docs/tasks/policy-enforcement/rate-limiting/)
- [Ingress gateways](/docs/tasks/traffic-management/ingress/ingress-control/)
- [Accessing external services](/docs/tasks/traffic-management/egress/egress-control/)
- [Visualizing your mesh](/docs/tasks/observability/kiali/)

The tasks above provide a good basic understanding of Istio's features but,
explore more [tasks](/docs/tasks/) depending on what interests you. Before you
install and customize Istio to fit your platform and intended use, check out
our [general installation instructions](/docs/setup/) for details.

The next step is to deploy your own applications.

As you continue to use Istio, we look forward to hearing from you and welcoming
you to our [community](/about/community/join/).
